Debian-Sicherheitsankündigung

DSA-1327-1 gsambad -- Unsichere temporäre Dateien

Datum des Berichts:
01. Jul 2007
Betroffene Pakete:
gsambad
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In Mitres CVE-Verzeichnis: CVE-2007-2838.
Weitere Informationen:

Steve Kemp vom Debian-Sicherheits-Audit-Projekt entdeckte, dass gsambad, ein GTK+-Konfigurationswerkzeug für Samba, temporäre Dateien auf unsichere Art und Weise verwendet. Dies kann ausgenutzt werden, um beliebige Dateien des lokalen Systems abzuschneiden.

Für die Stable-Distribution (Etch) wurde dieses Problem in Version 0.1.4-2etch1 behoben.

Für die Unstable-Distribution (Sid) wird dieses Problem bald behoben sein.

Wir empfehlen Ihnen, Ihr gsambad-Paket zu aktualisieren.

Behoben in:

Debian GNU/Linux 4.0 (etch)

Quellcode:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1.diff.gz
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1.dsc
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_ia64.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_sparc.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.